<template src="./template.html"></template>

<script lang="ts">
import { getModule, Watch } from "nuxt-property-decorator";
import { Vue, Component, Prop } from "vue-property-decorator";
import { apiErrorHandler } from "~/utils/apiHanlers";

@Component({
  components: {},
})
export default class AdminAbadonComponent extends Vue {
  isVerifyDomain = false;
  domain = "";
  listStatus = [
    {
      title: "Fixed Amount",
      value: 0,
    },
  ];
  fee = "";
  status = 0;

  get email() {
    return this.$store.state.home.email;
  }

  set email(value: any) {
    this.$store.commit("home/setEmail", value);
  }

  listTime = [
    { name: "5 minutes", value: 300 },
    { name: "10 minutes", value: 600 },
    { name: "20 minutes", value: 1200 },
    { name: "30 minutes", value: 1800 },
    { name: "1h hour", value: 3600 },
    { name: "12 hours", value: 43200 },
    { name: "24 hours", value: 86400 },
  ];
  listDiscount = [
    { name: "5%", value: 5 },
    { name: "10%", value: 10 },
    { name: "15%", value: 15 },
    { name: "20%", value: 20 },
    { name: "25%", value: 25 },
    { name: "30%", value: 30 },
    { name: "35%", value: 35 },
    { name: "40%", value: 40 },
    { name: "45%", value: 45 },
    { name: "50%", value: 50 },
  ];

  loadingTable = false;
  goToDetailMail(id: string) {
    this.$router.push(`/admin/settings/abandon/${id}`);
    this.email = this.listAbandon.find((item: any) => item._id == id);
  }
  mounted() {
    this.onGetListAbandon();
  }

  onGetListAbandon() {
    this.$store.dispatch("adminSetting/onGetListAbandon", { ctx: this });
  }

  async onUpdateAbandon(abandon: any, i: number) {
    try {
      const body = {
        time: abandon.time,
        timestamp: abandon.timestamp,
        discount: abandon.discount,
      };
      await this.$api.abandon.edit(body);
      this.$pushNotification.success("Update abandon successfully");
    } catch (error) {
      apiErrorHandler(error, this);
    }
  }

  get listAbandon() {
    return this.$store.state?.adminSetting?.listAbandon || [];
  }
}
</script>

<style></style>
